@font-face {
  font-family: 'Montserrat-ExtraBold';
  src: url('../font/Montserrat-ExtraBold.eot') format('embedded-opentype'), url('../font/Montserrat-ExtraBold.woff') format('woff'), url('../font/Montserrat-ExtraBold.ttf') format('truetype'), url('../font/Montserrat-ExtraBold.svg') format('svg');
  font-weight: normal;
  font-style: normal;
}

/* 去除水平滚动条 */
html {
  overflow-x: hidden;
  overflow-y: auto;
}

/* 使页面滚动顺滑，很重要！！！！！！ */
html,
body {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  /* font-family: "SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif; */
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -moz-font-smoothing: antialiased;
  -ms-font-smoothing: antialiased;
  font-smoothing: antialiased;

  font-weight: 900;


  background-color: black;

  min-width: 375px;

}








/* header */
.header {
  width: 100%;
  height: 60px;
  position: fixed;
  top: 0;
  left: 0;
  background-color: transparent;

  z-index: 2;
  /* transition: .3s;
  opacity: 0; */
}

.header_logo {
  font-size: 30px;
  line-height: 60px;
  color: white;
  text-decoration: none;

  margin-left: 40px;
}

.header_right {
  display: inline;
  position: absolute;
  right: 40px;
}

.header_link {
  font-size: 16px;
  line-height: 60px;
  color: white;
  text-decoration: none;

  margin-left: 44px;

  /* 链接悬浮时下面的横条定位用 */
  position: relative;
}

.header_link:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 0px;
  height: 2px;
  background: white;

  transition: .6s;
}

.header_link_active:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -4px;
  width: 100%;
  height: 2px;
  background: white;
}

.header_link:hover:after {
  width: 100%;
  transition: .6s;
}


/* 汉堡菜单 */
.hamberger_container {
  width: 22px;
  height: 60px;
  background-color: transparent;
  opacity: 0;


  position: absolute;
  top: 0;
  right: 0;

  cursor: pointer;
  z-index: -1;
}


@media screen and (max-width:801px) {

  .header_link {
    visibility: hidden;
    opacity: 0;
    transition: .3s;
    -webkit-user-select: none;
    -webkit-user-drag: none;
    display: none;
  }



  .hamberger_container {
    opacity: 1;
    z-index: auto;

  }


}


.hamburger {
  padding: 16px 0px;
  display: inline-block;
  cursor: pointer;
  transition-property: opacity, -webkit-filter;
  transition-property: opacity, filter;
  transition-property: opacity, filter, -webkit-filter;
  transition-duration: 0.15s;
  transition-timing-function: linear;
  font: inherit;
  color: inherit;
  text-transform: none;

  background-color: transparent;
  border: 0;
  margin: 0;
  overflow: visible;

  position: absolute;
  left: 0;
}

.hamburger:hover {
  opacity: 1;
}

.hamburger-box {
  width: 22px;
  height: 24px;
  display: inline-block;
  position: relative;
}

.hamburger-inner {
  display: block;
  top: 50%;
  margin-top: -2px;
}


.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
  width: 22px;
  height: 3px;
  background-color: white;
  border-radius: 0px;
  position: absolute;
  transition-property: -webkit-transform;
  transition-property: transform;
  transition-property: transform, -webkit-transform;
  transition-duration: 0.15s;
  transition-timing-function: ease;
}


.hamburger-inner::before,
.hamburger-inner::after {
  content: "";
  display: block;
}

.hamburger-inner::before {
  top: -9px;
  /*       width:75%; */
}

.hamburger-inner::after {
  bottom: -10px;
  width: 70%;
  right: 0;
}

/* Collapse Reverse */
.hamburger--collapse-r .hamburger-inner {
  top: auto;
  bottom: 0;
  transition-duration: 0.15s;
  transition-delay: 0.15s;
  transition-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
}

.hamburger--collapse-r .hamburger-inner::after {
  top: -18px;
  transition: top 0.3s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), opacity 0.1s linear;
}

.hamburger--collapse-r .hamburger-inner::before {
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
  transition: top 0.12s 0.3s cubic-bezier(0.33333, 0.66667, 0.66667, 1), transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19), -webkit-transform 0.15s cubic-bezier(0.55, 0.055, 0.675, 0.19);
}


.hamburger--collapse-r.is-active .hamburger-inner {
  -webkit-transform: translate3d(0, -10px, 0) rotate(45deg);
  transform: translate3d(0, -10px, 0) rotate(45deg);
  transition-delay: 0.32s;
  transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.hamburger--collapse-r.is-active .hamburger-inner::after {
  top: 0;
  opacity: 0;
  transition: top 0.3s cubic-bezier(0.33333, 0, 0.66667, 0.33333), opacity 0.1s 0.27s linear;
}

.hamburger--collapse-r.is-active .hamburger-inner::before {
  top: 0;
  -webkit-transform: rotate(90deg);
  transform: rotate(90deg);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
  transition: top 0.12s 0.18s cubic-bezier(0.33333, 0, 0.66667, 0.33333), transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1), -webkit-transform 0.15s 0.42s cubic-bezier(0.215, 0.61, 0.355, 1);
}




/* 点击汉堡按钮后出现的内容 */
.header_black_menu_mask {
  widows: 1px;
  height: 100%;
  border-radius: 0px;
  background-color: black;
  /* opacity: .8; */

  position: fixed;
  right: 0;
  top: 0;
  z-index: 2;

  overflow: hidden;
}


.header_hambburger_menu_container {
  position: absolute;
  width: 100%;
  margin-top: 132px;


}


.header_hamburger_menu {
  display: block;
  text-align: left;
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 52px;
  line-height: 52px;
  margin-bottom: 44px;
  /* margin-left: 135px; */
  margin-left: 295px;
  margin-right: auto;


  text-decoration: none;
  color: #555555;

  transition: .3s;
}


.header_hamburger_menu:hover {
  color: white;
  transition: .3s;
}


.header_hamburger_menu_active {
  color: white;
  transition: .3s;
}

/* 汉堡图标点击之后出现菜单底部的链接和版权声明 */
.header_hamburger_bottom_container {
  position: absolute;
  bottom: 40px;

  overflow: hidden;
}



.header_hamburger_bottom {
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size: 12px;
  line-height: 12px;
  margin-top: 10px;
  color: #555555;

  /* margin-left: 135px; */
  margin-left: 295px;

  white-space: nowrap;
  /* 文本不换行 */

}


.header_hambburger_link {
  color: #555555;
}

.header_hambburger_link:hover {
  color: white;
  transition: .3s;
}






/* swiper相关样式 */

.swiper-slide {
  font-size: 18px;
  color: #fff;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  padding-left: 10%;
}


.swiper_title{
  margin-left: 0;
  text-shadow: 2px 2px 2px rgba(0,0,0,0.1);
  display: inline-block;
}


.swiper_slide_big_a {
  color: white;
}


.parallax-bg {
  position: fixed;
  z-index: -10;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -webkit-background-size: cover;
  background-size: cover;
  background-position: center;
}




.swiper_video_wrap{
  overflow: hidden;
}

/* 1080p视频定位 */
/* .swiper_video{
  min-height: 100%;
  min-width: 100%;
  width: auto; */
  /* height: auto; */

  /* 显示视频中央部分内容 */
  /* position: absolute;
  left: 50%;
  bottom: -13%;
  transform: translateX(-50%);
} */



/* 换成4k视频后定位 */
.swiper_video{
  min-height: 100%;
  min-width: 100%;
  width: auto;
  height: 100%;


  position: absolute;
  left: 50%;
  /* top: 0; */
  /* bottom: -13%; */
  transform: translateX(-50%);
}





.title_and_subtitle {
  position: absolute;
  top: 56%;
  /* transform: translatey(-65%); */
}



.swiper-slide .title {
  font-size: 110px;
  line-height: 1;
}


.swiper-slide .subtitle {
  font-size: 18px;
  line-height: 28px;
  margin-top: 30px;
}


.im_oskar_wrap{
  width: 13.1vw;
  height: 2.857143vw;
  background-color: white;
  position: fixed;
  z-index: -10;
  left: calc(50% - 13.1vw - 80px);
  top: 18.9vh;
  border-bottom-left-radius: 32px;
  border-bottom-right-radius: 2px;
  border-top-left-radius: 32px;
  border-top-right-radius: 32px;
  text-align: center;

  opacity: 0;
}

.im_oskar_text{
  color: black;
  font-size: 1.428571vw;
  line-height: 2.857143vw;
}




/* intro content */
.intro_content_container_wrap{

}


.intro_content_container{
  width: 100%;
  background-color: black;
}


.intro_content{
  /* width: calc(100% - 320px); */
  /* width: 100%; */
  width: 79vw;
  margin: 0 auto;
  /* padding-left: 160px;
  padding-right: 160px; */
  padding-top: 1px;
  background-color: black;
}


.intro_title{
  color: white;
  font-size: 7.272727vw;
  line-height: 1;
  margin-top: 110px;
}

.intro_text_en{
  /* font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif; */
  color: #CCCCCC;
  font-size: 24px;
  line-height: 42px;
  margin-top: 32px;
  max-width: 1000px;
  font-weight: 600;
}

.intro_text_ch{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  color: #CCCCCC;
  font-size: 16px;
  line-height: 32px;
  margin-top: 16px;
  max-width: 1000px;
  font-weight: 600;
}


.uidesign { 
  margin-top: 13.333333vw;
  background-color: black; 
}


.uidesign_left_container { 
  overflow: hidden; 
  _zoom: 1; 
  resize: none; 
  width: 79vw;
}

.uidesign_left2 { 
  margin-right: 43vw; 
  text-align: right;
}


/* 下面这个是左浮动，不改变DOM位置的流体布局写法 */
.uidesign_left_wrap { 
  width: 100%; 
  float: left; 
}

.motion_design_congtainer{
  width: 39vw;
  float: left;
  margin-left: -39vw;
  background-color: #333333;
}

.img_left{
  width: 39vw;
}


.img_right { 
  width: 39vw; 
  /* float: left; 
  margin-left: -39vw; */
}



.uidesign_container {
  width: 79vw;
  margin-top: 13.333333vw;
}

.code_container{
  height: 374px;
}


.intro_text_h1{
  color: white;
  font-size: 64px;
  line-height: 64px;
  margin: 0;
}

.intro_text_en2{
  color: #b3b3b3;
  font-size: 22px;
  line-height: 34px;
  margin-top: 28px;
  /* max-width: 604px; */
  font-weight: 600;
}

.intro_text_ch2{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  color: #CCCCCC;
  font-size: 16px;
  line-height: 28px;
  margin-top: 20px;
  max-width: 604px;
  font-weight: 600;
}

.uidesign_left{
  display: inline-block;
  vertical-align: top;
  width: 36vw;
  float: right;
  margin-left: 4vw;
}

.uidesign_right{
  display: inline-block;
  background-color: #333333;
  /* float: left;
  margin-right: 67px; */
}



.socoal_copyright_containter{
  width: 100%;
  background-color: black;
  padding-top: 240px;
}


/* wechat dribbble uplabs instagram */
.social_icon_container{
  width:556px;
  margin:0 auto;
}


.social_icon_wrap{
  /* overflow:hidden; */
  margin-right:-64px;
}

.social_icon_a{
  float:left;
  margin-right:64px;
  cursor: pointer;
  background-color: #333333;
  border-radius: 50%;

  position: relative;
}

.social_icon_img{
  width:60px;
  -webkit-user-drag: none;
  user-select: none;
}


.social_icon_wechat_qrcode{
  width: 140px;
  height: 140px;
  position: absolute;
  bottom: 80px;
  left: -40px;
  opacity: 0;
}


.social_icon_wecht_qrcode_img{
  width: 140px;
}


/* social_icon hover状态*/
#social_icon_wechat:hover{
  background-color: #5ECC71;
  transition: .2s;
}

#social_icon_dribbble:hover{
  background-color: #D9588A;
  transition: .2s;
}


#social_icon_uplabs:hover{
  background: -webkit-linear-gradient(left, #5B32CA , #3F6EEE); /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(right, #5B32CA , #3F6EEE); /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(right, #5B32CA , #3F6EEE); /* Firefox 3.6 - 15 */
  background: linear-gradient(to right, #5B32CA , #3F6EEE); /* 标准的语法 */

  transition: .2s;
}


#social_icon_instagram:hover{
  background: #d6249f;
  background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%);
  transition: .2s;
}

#social_icon_email:hover{
  background-color: pink;
  transition: .2s;
}






/* swiper底部渐变遮罩 */
.swiper_gradient_mask {
  width: 110%;
  height: 60px;

  background: -webkit-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Safari 5.1 - 6.0 */
  background: -o-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Opera 11.1 - 12.0 */
  background: -moz-linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* Firefox 3.6 - 15 */
  background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1));
  /* 标准的语法（必须放在最后） */

  z-index: 1;
  position: absolute;
  bottom: 0;
  left: -10%;

  display: none;
}




/* blog详情页底部内容 */
.detail_page_bottom{
  width:100%;
  height:132px;
  
  text-align:center;
  margin-top: 240px;
}

.all_articles{
  font-family: "Montserrat-ExtraBold","SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-size:36px;
  font-weight: 900;
  line-height:132px;
  color:white;
  text-decoration: none;
  
  margin:0 auto;
  
  /* 鼠标悬浮时下面出现的长条定位用 */
  position: relative;

  
}


.all_articles:after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 0;
    height: 4px;
    background: white;

    transition: .6s;

}


.all_articles:hover:after{
    width: 100%;
    transition: .6s;
}


.copyright{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-weight: 600;
  font-size:14px;
  line-height:132px;
  color:#B3B3B3;
  
  float:left;
  margin-left:60px;
    
}

.find_me_on_github{
  font-family:"SF UI Text", Helvetica, Arial, "PingFang SC", "Source Han Sans SC", "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  font-weight: 600;
  font-size:14px;
  line-height:132px;
  color:#B3B3B3;
    
  float:right;
  margin-right:60px;
  
}

.find_me_on_github a{
  color:#B3B3B3;
}


.find_me_on_github a:hover{
  color:white;
  transition: .3s;
}






/* 页面宽度大于1515px时，使得视频宽度100%,高度自适应 */
@media screen and (min-width:1515px){
  .swiper_video {
    min-height: 100%;
    min-width: 100%;
    width: 100%;
    height: auto;
    position: absolute;
    left: 50%;
    /* top: 0; */
    /* bottom: -13%; */
    transform: translateX(-50%);
}
}





/* 页面宽度小于1025px时作品列表的样式 */
@media screen and (max-width: 1025px) {


  .project {
    width: 50%;
  }

  .project_card {
    padding-bottom: 120px;
}

.project_detail {
  bottom: 32px;
  left: 20px;
  transform: none;
}

.project_title {
  margin-top: 0;
  font-size: 34px;
  line-height: 1.2;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  
  opacity: 1;
  transform: none;
}


.project_category {
  margin-bottom: 0;
  margin-top: 6px;
  line-height: 1;
  
  opacity: 1;
  transform: none;
}


}





/* 页面宽度大于768px小于1025px时 */
@media screen and (max-width: 1025px) and (min-width:768px) {


  .work_tab {
    width: calc(100% - 60px);
    height: 62px;

    margin-left: 30px;
    margin-top: 100px;
    margin-bottom: 48px;

  }


  .work_work {
    font-size: 60px;
    line-height: 60px;
  }



  .work_all_tabs_a {
    font-size: 16px;
    line-height: 18px;
  }


  .header_right {
    right: 30px;
  }

  .header_logo {
    margin-left: 30px;
  }

  .copyright {
    margin-left: 30px;
}


.find_me_on_github {
  margin-right: 30px;
}
  

  .project_detail {
    bottom: 32px;
    left: 30px;
    transform: none;
  }
}




/* 首页 swiper 标题文字随着页面宽度改变大小平滑改变 */
@media screen and (max-width:1666px) and (min-width:767px){
  .swiper-slide .title {
    font-size: 7.2vw;
    line-height: 1.1;
  }
}

@media screen and (max-width:768px) and (min-width:500px){
  .swiper-slide .title {
    font-size: 11vw;
    line-height: 1;
  }

  .swiper-slide {
    padding-left: 0;
  }

  .swiper_title{
    margin-left: 50vw; /* 屏幕宽度的一半 */
    transform: translateX(-50%);

    
  }
  
}




/* 页面宽度大于499px小于924px时 */
@media screen and (max-width: 859px) and (min-width:658px) {


  .work_tab {
    width: calc(100% - 30px);
    height: 117px;

    margin-left: 30px;
    margin-top: 100px;
    margin-bottom: 48px;

  }


  .work_work {
    font-size: 52px;
    line-height: 52px;
  }


  .work_all_tabs {
    display: block;
    margin-left: 0px;
    margin-top: 36px;

  }

  .work_all_tabs_a {
    font-size: 16px;
    line-height: 16px;
  }


  .header_right {
    right: 30px;
  }

  .header_logo {
    margin-left: 30px;
  }

  .project_title {
    font-size: 32px;
  }


  .project_category {
    margin-top: 6px;
  }

  .project_detail {
    left: 30px;
  }


}




/* 页面宽度小于500px时 alltabs */
@media screen and (max-width: 659px) {
   
  .project {
    width: 100%;
  }

  .work_tab {
    height: 91px;
    
    margin-left: 30px;
    margin-top: 72px;
    margin-bottom: 44px;

  }


  .work_work {
    font-size: 36px;
    line-height: 36px;
  }


  .work_all_tabs {
    display: block;
    margin-left: 0px;
    margin-top: 28px;

  }


  .work_all_tabs_a {
    font-size: 14px;
    line-height: 14px;
  }

    /* 小尺寸不能悬浮时默认显示文本效果 */
    .project {
      perspective: 1000px;
      transform-style: preserve-3d;
      /* transform: none; */
    }
  
  
    .project_card {
      perspective: 1000px;
      transform-style: preserve-3d;
      box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
      /* transform: none; */
    }
  
  
  
    /* .project_img:after {
      content: " ";
      position: absolute;
      width: 100%;
      height: 160px;
      left: 0;
      bottom: 0;
      background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
      opacity: 1;
    } */
  
  
    .project_detail {
      transform: none;
      left: 30px;
    }
  
  
    .project_title {
      opacity: 1;
      font-size: 32px;
      transform: none;
      /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
    }
  
  
  
    .project_category {
      opacity: 1;
      transform: none;
      margin-top: 6px;
      /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
    }

    .header_right {
      right: 30px;
    }
  
    .header_logo {
      margin-left: 30px;
    }
}


@media screen and (max-width: 500px) and (min-width:411px) {

  .work_all_tabs_a {
    margin-right: 36px;
  }


  .work_tab {
    width: calc(100% - 40px);
    margin-left: 20px;
  }

  .header_right {
    right: 20px;
  }

  .header_logo {
    margin-left: 20px;
  }


  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    width: 100%;
    perspective: 1000px;
    transform-style: preserve-3d;
    /* transform: none; */
  }


  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    /* transform: none; */
  }



  /* .project_img:after {
    content: " ";
    position: absolute;
    width: 100%;
    height: 160px;
    left: 0;
    bottom: 0;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
    opacity: 1;
  } */


  .project_detail {
    transform: none;
    left: 20px;
  }


  .project_title {
    opacity: 1;
    font-size: 32px;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }



  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 6px;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  /* swiper_title */
  .title_and_subtitle {
    position: absolute;
    transform: none;
    height: 100%;
    top: 0;
  }


  .swiper-slide .title {
    font-size: 44px;
    line-height: 1;
    position: absolute;
    bottom: 50px;
  }

  .swiper-slide {
    padding-left: 0;
  }

  .swiper_title{
    margin-left: 20px; 

  }

}





@media screen and (max-width: 411px) {

  .work_all_tabs_a {
    margin-right: 26px;
  }

  .work_tab {
    width: calc(100% - 40px);
    margin-left: 20px;
  }

  .header_logo {
    margin-left: 20px;
  }


  .header_right {
    right: 20px;
  }
}


/* 页面宽度小于415px时 */
@media screen and (max-width: 415px) and (min-width:375px) {


  .project {
    width: 100%;
  }

  .header_logo {
    margin-left: 20px;
    font-size: 24px;
  }


  .header_right {
    right: 20px;
  }

  .header_hamburger_menu {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */
  }


  .header_hamburger_bottom {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */

  }

  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    perspective: 1000px;
    transform-style: preserve-3d;
    transform: none;
  }

  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    transform: none;
  }

  /* .project_img:after {
    content: " ";
    position: absolute;
    width: 100%;
    height: 160px;
    left: 0;
    bottom: 0;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
    opacity: 1;
  } */

  .project_detail {
    transform: none;
    left: 20px;
  }

  .project_title {
    opacity: 1;
    font-size: 32px;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 6px;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }


    /* swiper_title */
    .title_and_subtitle {
      position: absolute;
      transform: none;
      height: 100%;
      top: 0;
    }
  
  
    .swiper-slide .title {
      font-size: 44px;
      line-height: 1;
      position: absolute;
      bottom: 50px;
    }
  
    .swiper-slide {
      padding-left: 0;
    }
  
    .swiper_title{
      margin-left: 20px; 
  
    }

}


@media screen and (max-width:376px) {
  .project {
    width: 100%;
  }

  .header_logo {
    margin-left: 20px;
    font-size: 24px;
  }


  .header_right {
    right: 20px;
  }


  .header_hamburger_menu {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */
    font-size: 46px;
    line-height: 46px;
    margin-bottom: 40px;
  }



  .header_hamburger_bottom {
    /* margin-left: 96px; */
    margin-left: 256px;
    /* margin-left: 217px; */

  }

  .project_title {
    opacity: 1;
    font-size: 32px;
    transform: none;
  }



  .project_category {
    opacity: 1;
    transform: none;
    margin-top: 6px;
  }


  /* 小尺寸不能悬浮时默认显示文本效果 */
  .project {
    perspective: 1000px;
    transform-style: preserve-3d;
    transform: none;
  }

  .project_card {
    perspective: 1000px;
    transform-style: preserve-3d;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    transform: none;
  }

  /* .project_img:after {
    content: " ";
    position: absolute;
    width: 100%;
    height: 160px;
    left: 0;
    bottom: 0;
    background: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.4));
    opacity: 1;
  } */

  .project_detail {
    transform: none;
    left: 20px;
  }

  .project_title {
    opacity: 1;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }

  .project_category {
    opacity: 1;
    transform: none;
    /* text-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); */
  }


    /* swiper_title */
    .title_and_subtitle {
      position: absolute;
      transform: none;
      height: 100%;
      top: 0;
    }
  
  
    .swiper-slide .title {
      font-size: 44px;
      line-height: 1;
      position: absolute;
      bottom: 50px;
    }
  
    .swiper-slide {
      padding-left: 0;
    }
  
    .swiper_title{
      margin-left: 20px; 
  
    }

}





/*  */
@media screen and (max-width:1251px) and (min-width:469px){
  .im_oskar_wrap{
    width: 160px;
    height: 36px;
    left: calc(50% - 160px - 80px);
  }
  
  .im_oskar_text{
    color: black;
    font-size: 18px;
    line-height: 36px;
  }
}


@media screen and (max-width:470px){
  .im_oskar_wrap{
    width: 140px;
    height: 34px;
    left: 20px;
  }
  
  .im_oskar_text{
    color: black;
    font-size: 16px;
    line-height: 34px;
  }
}








/* about页面左右布局文本大小变化 */
@media screen and (max-width:1522px) and (min-width:415px){
  .intro_text_en2 {
    font-size: 20px;
    line-height: 32px;
    margin-top: 24px;
}
 
.intro_text_h1 {
  font-size: 56px;
  line-height: 56px;
}




}


@media screen and (max-width:1201px) and (min-width:1001px){
  .intro_text_h1 {
    font-size: 48px;
    line-height: 48px;
}

.intro_text_en2 {
  font-size: 18px;
  line-height: 28px;
  margin-top: 16px;
}


.intro_text_en {
  font-size: 20px;
  line-height: 1.75;
}

}


@media screen and (max-width:1001px){
.uidesign_left {
    width: 100%;
    float: none;
    margin-left: 0;
}

.uidesign_container {
  /* width: 79vw; */
  width: 100%;
  height: auto;
}

.code_container{
  height: auto;
}

.uidesign_right {
  width: 100%;
}

.img_left{
  width: 100%;
}


.uidesign_left2 {
  margin-right: 0;
  text-align: left;
}

.motion_design_congtainer {
  width: 100%;
  /* float: none; */
  margin-left: 0;
}

.img_right {
  width: 100%;
  /* float: none;
  margin-left: 0; */
}

}

/* 底部copyright */
@media screen and (max-width: 1001px) and (min-width:769px) {

  .detail_page_bottom {
    width: 100%;
    height: 96px;
    text-align: center;
    margin-top: 304px;
  }
  
  .copyright {
    line-height: 14px;
    display: block;
    float:none;
    margin-left:0;
  }
  
  
  .all_articles {
    font-size: 36px;
    line-height: 36px;
    text-decoration: none;
    margin: 0 auto;
    position: relative;
    display: block;
    margin-top: -110px;
  }
  
  .find_me_on_github {
    line-height: 14px;
    float: none;
    margin-right: 0;
    display: block;
    margin-top: 92px;
  }
  
  .all_articles:after {
    height: 0px;
  }
  
  }

/* 底部copyright */
@media screen and (max-width: 769px) {

.detail_page_bottom {
  width: 100%;
  height: 96px;
  text-align: center;
  margin-top: 304px;
}

.copyright {
  line-height: 14px;
  display: block;
  float:none;
  margin-left:0;
}


.all_articles {
  font-size: 28px;
  line-height: 36px;
  text-decoration: none;
  margin: 0 auto;
  position: relative;
  display: block;
  margin-top: -110px;
}

.find_me_on_github {
  line-height: 14px;
  float: none;
  margin-right: 0;
  display: block;
  margin-top: 92px;
}

.all_articles:after {
  height: 0px;
}

}

/* 页面宽度缩小到689时，底部social_icon距离变小 */
@media screen and (max-width:689px) and (min-width:415px){
  .social_icon_a {
    margin-right: 9vw;
}

.social_icon_img {
  width: 9vw;
}


.social_icon_wrap {
  margin-right: -9vw;
}


.social_icon_container {
  margin-left: 9vw;
}

}

/* 底部copyright */
@media screen and (max-width: 415px) {
  /* 文本样式 */
  .intro_content {
    width: calc(100% - 40px);
}

  .intro_title {
    color: white;
    font-size: 44px;
    line-height: 50px;
    margin-top: 48px;
}

.intro_text_en {
  font-size: 16px;
  line-height: 26px;
  margin-top: 20px;
}

.intro_text_h1 {
  font-size: 28px;
  line-height: 32px;
}

.intro_text_en2 {
  font-size: 16px;
  line-height: 26px;
  margin-top: 16px;
  margin-bottom: 20px;
}

.uidesign_container {
  margin-top: 80px;
  width: 100%;
}

.uidesign {
  margin-top: 80px;
}

.uidesign_left_container {
  width: calc(100% + 40px);
  margin-left: -20px;
}

.uidesign_left_wrap {
  width: calc(100% - 40px);
  margin-left: 20px;
}

.img_left {
  width: calc(100% + 40px);
  margin-left: -20px;
}

.img_right {
  width: calc(100% + 40px);
  margin-left: 0;
}


  /* 底部内容 */
.social_icon_container{
  width:312px;
  margin:0px auto 0 auto;
}


.social_icon_wrap{
  overflow:hidden;
  margin-right:-28px;
}

.social_icon_a{
  float:left;
  margin-right:28px;
  cursor: pointer;
}

.social_icon_img{
  width:40px;
  -webkit-user-drag: none;
  user-select: none;
}

.socoal_copyright_containter {
  width: 100%;
  background-color: black;
  padding-top: 80px;
}

.detail_page_bottom {
  width: 100%;
  height: 96px;
  text-align: center;
  margin-top: 304px;
}

.copyright {
  line-height: 14px;
  display: block;
  float:none;
  margin-left:0;
}


.all_articles {
  font-size: 28px;
  line-height: 36px;
  text-decoration: none;
  margin: 0 auto;
  position: relative;
  display: block;
  margin-top: -110px;
}

.find_me_on_github {
  line-height: 14px;
  float: none;
  margin-right: 0;
  display: block;
  margin-top: 92px;
}

.all_articles:after {
  height: 0px;
}

}







/* 若检测到设备为移动设备（不能悬浮）则执行以下类 */
.mobile .project {
  width: 100%;
}


.mobile .project_title {
  opacity: 1;
  transform: none;
}



.mobile .project_category {
  opacity: 1;
  transform: none;
}